ChangeSet 1.1587.12.21, 2004/04/29 16:01:34-07:00, eike-hotplug@sf-tec.de

[PATCH] PCI Hotplug skeleton: use new style of module parameters

Convert the PCI hotplug skeleton driver to use new style of module parameter
handling.


 drivers/pci/hotplug/pcihp_skeleton.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)


diff -Nru a/drivers/pci/hotplug/pcihp_skeleton.c b/drivers/pci/hotplug/pcihp_skeleton.c
--- a/drivers/pci/hotplug/pcihp_skeleton.c	Mon May 17 17:05:02 2004
+++ b/drivers/pci/hotplug/pcihp_skeleton.c	Mon May 17 17:05:02 2004
@@ -30,6 +30,7 @@
 
 #include <linux/config.h>
 #include <linux/module.h>
+#include <linux/moduleparam.h>
 #include <linux/kernel.h>
 #include <linux/slab.h>
 #include <linux/pci.h>
@@ -47,11 +48,7 @@
 
 static LIST_HEAD(slot_list);
 
-#if !defined(CONFIG_HOTPLUG_PCI_SKELETON_MODULE)
-	#define MY_NAME	"pcihp_skeleton"
-#else
-	#define MY_NAME	THIS_MODULE->name
-#endif
+#define MY_NAME	"pcihp_skeleton"
 
 #define dbg(format, arg...)					\
 	do {							\
@@ -76,7 +73,7 @@
 MODULE_AUTHOR(DRIVER_AUTHOR);
 MODULE_DESCRIPTION(DRIVER_DESC);
 MODULE_LICENSE("GPL");
-MODULE_PARM(debug, "i");
+module_param(debug, bool, 644);
 MODULE_PARM_DESC(debug, "Debugging mode enabled or not");
 
 static int enable_slot		(struct hotplug_slot *slot);
